Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453519 (UnihanDb) - Review Request: UnihanDb - The Unihan character database in 5NF
Summary: Review Request: UnihanDb - The Unihan character database in 5NF
Keywords:
Status: CLOSED NEXTRELEASE
Alias: UnihanDb
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 453520
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 07:25 UTC by Ding-Yi Chen
Modified: 2008-10-12 07:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-12 07:10:33 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ding-Yi Chen 2008-07-01 07:25:23 UTC
Spec URL: http://downloads.sourceforge.net/libunihan/libUnihan-data.spec
SRPM URL: http://downloads.sourceforge.net/libunihan/libUnihan-data-5.1-0.fc9.src.rpm  
Description:

Hi, I just finished packing the libUnihan and libUnihan-data. A review will be appreciated.

The project has two packages, one is libUnihan-data, which holds a large database (75M), the other is libUnihan, provides C library, header files, and so on.

The package to be reviewed is libUnihan-data. Please tell me what you think.

Regards,
Ding-Yi Chen

Comment 1 Ding-Yi Chen 2008-07-04 08:33:40 UTC
I've updated the libUnihan-data 

New SRPM URL is at: http://downloads.sourceforge.net/libunihan/libUnihan-
data-5.1-1.fc9.src.rpm  

Comment 2 Jens Petersen 2008-07-29 10:12:42 UTC
rpmlint is clean

How is the db generated?

Comment 3 Ding-Yi Chen 2008-07-30 00:14:24 UTC
The db is generated by unihan_converter ( unihan_converter <Unihan.txt> 
<Unihan.db> ). It takes about 20 minutes to generate, so I provide 
Unihan.db.5.1-1 in libUnihan-data package to save time.

Comment 4 Jens Petersen 2008-07-30 05:29:40 UTC
I think libUnihan-data needs to be able to build the db from Unihan.zip.

Comment 5 Ding-Yi Chen 2008-08-04 00:46:15 UTC
I've changed the name of this package from libUnihan-data to UnihanDb.
The reason I change the name is to aviod the end-user confusion.
To me, the name "libUnihan-data" implies that it is optional and does not need to be install by default. 

However, database file of UnihanDb is compulsory for the whole package to work. In addition, it has its own versioning from Unicode upstream, so it should be a separate package.

UnihanDd now BuildDepends and Depends on libUnihan, as it is generate by libUnihan.

Comment 7 Jens Petersen 2008-08-07 08:39:52 UTC
Adding CC to Tasaka-san, since he has kindly taken on the review of
libUnihan, which blocks this package (bug 453520).


rpmlint is clean.

Comment 8 Mamoru TASAKA 2008-08-11 07:01:02 UTC
For 5.1-2:

* Requires
  - Does this package "itself" require sqlite?

* License
  - First of all would you tell me where I can get the license text of
    this package?
    I browsed http://www.unicode.org/copyright.html but the content
    does not seem to coincide with http://fedoraproject.org/wiki/Licensing/UCD

* Versioning
  - Well
    * Unihan.txt says the version is 5.1.0. So I guess the correct
      version is 5.1.0. Also would you release the tarball with the name
      including correct version or ask the upstream to do so if you
      are not the upstream?

   * If you want to use the version of UnihanDb-doc, even in such case
     the versioning on Fedora is wrong because we regard
     "%{version}-%{rel_num}" as the "version" of the upstream version.

* Directory ownership issue
  - The directory %{_datadir}/%{name} is not owned by any packages.

Comment 9 Ding-Yi Chen 2008-08-12 02:04:32 UTC
Hi,

Addressed Issue in #8:
* Directory ownership issue
* Versioning

* Requires
Actually it does require sqlite, but for the same reason you said in the libUnihan review,
I remove the Requires.

* License
I think the UCD in Fedora Licensing is outdated, as the new Unihan Character Database term is at http://www.unicode.org/copyright.html#Exhibit1

The revised spec and srpm are at:
SPEC:  http://downloads.sourceforge.net/libunihan/UnihanDb.spec
SRPM:  http://downloads.sourceforge.net/libunihan/UnihanDb-5.1.0-3.fc9.src.rpm

Regards,

Comment 10 Mamoru TASAKA 2008-08-13 14:34:01 UTC
Well, for 5.1.0-3:

* License
(In reply to comment #9)
> * License
> I think the UCD in Fedora Licensing is outdated, as the new Unihan Character
> Database term is at http://www.unicode.org/copyright.html#Exhibit1
  - Okay, then Fedora regards this as MIT
    http://fedoraproject.org/wiki/Licensing/MIT#Modern_Style_without_sublicense_.28Unicode.29

* Requires:
(In reply to comment #9)
> * Requires
> Actually it does require sqlite, but for the same reason you said in the
> libUnihan review,
  - If this package itself really requires sqlite, then this package
    must have "Requires: sqlite" explicitly because this package contains
    no binary libraries and rpmbuild doesn't try to detect any library-related
    dependencies.

Comment 11 Ding-Yi Chen 2008-08-14 02:30:17 UTC
Addressed issues:
License, Requires

Revised SPEC and SRPM:
SPEC:  http://downloads.sourceforge.net/libunihan/UnihanDb.spec
SRPM:  http://downloads.sourceforge.net/libunihan/UnihanDb-5.1.0-4.fc9.src.rpm


Regards,
Ding-Yi Chen

Comment 12 Mamoru TASAKA 2008-08-14 13:19:15 UTC
----------------------------------------------------------------
   This package (UnihanDb) is APPROVED by mtasaka
----------------------------------------------------------------

Comment 13 Ding-Yi Chen 2008-08-14 23:25:15 UTC
New Package CVS Request
=======================
Package Name: UnihanDb
Short Description: The Unihan Character database in 5NF
Owners: dchen
Branches: F-8 F-9 EL-5
InitialCC: dchen

Comment 14 Kevin Fenzi 2008-08-23 17:33:21 UTC
cvs done.

Comment 15 Mamoru TASAKA 2008-09-08 14:04:02 UTC
For F-9 please ask rel-eng team (rel-eng@fedoraproject.org) to tag libUnihan package
as dist-f9-override to make UnihanDb built for F-9 branch on koji.

Also, would you try to rebuild libUnihan/UnihanDb for F-8 branch?

Comment 16 Tony Fu 2008-09-10 03:13:02 UTC
requested by Jens Petersen (#27995)

Comment 17 Mamoru TASAKA 2008-09-17 15:25:15 UTC
ping?

Comment 18 Mamoru TASAKA 2008-09-24 16:51:29 UTC
ping again??

Comment 19 Ding-Yi Chen 2008-09-25 06:04:05 UTC
Hi,

Sorry for not responding in time. I've been busy on libUnihan 0.5.

I've built the libUnihan for F-8, and UnihanDb should be out shortly. You may also have notice that I recently release libUnihan 0.5.1, which not only provides ZhuYin and Pinyin format conversion functionality, but also fix the FreqRank field of kMandarin Table.

Regards,
Ding-Yi Chen

Comment 20 Mamoru TASAKA 2008-10-12 07:10:33 UTC
Now closing, thanks.


Note You need to log in before you can comment on or make changes to this bug.